#include "Def.h"

BITMAP* buffer;
BITMAP* background; //someday figure out how to implement
timer t;
double diff; 

int setup()
{
	// you should always do this at the start of Allegro programs 
        if (allegro_init() != 0)
		return 1;
	
        set_color_depth(16);
        if (set_gfx_mode(GFX_AUTODETECT, SCREEN_WIDTH, SCREEN_HEIGHT, 0, 0) != 0) {
                if (set_gfx_mode(GFX_SAFE, SCREEN_WIDTH, SCREEN_HEIGHT, 0, 0) != 0) {
                        set_gfx_mode(GFX_TEXT, 0, 0, 0, 0);
                        allegro_message("Unable to set any graphic mode\n%s\n", allegro_error);
                        return 1;
                }
        }
        // set the color palette 
        set_palette(desktop_palette);
	
        buffer = create_bitmap(SCREEN_W, SCREEN_H);
	
        // set up the  handlers 
        install_keyboard();
        install_mouse();
        install_sound(DIGI_AUTODETECT, MIDI_AUTODETECT, 0); 
	
        t.start();
	
        return 0;
};

void setupBuffer()
{
	
	
	clear_to_color(buffer, makecol(159, 191, 255));
	if(background)
	{
		blit(background, buffer, 0, 0, 0, 0, background->w, background->h);
		return;
	}
};

void copyBuffer()
{
        vsync();
        acquire_screen();
        blit(buffer, screen, 0, 0, 0, 0, buffer->w, buffer->h);
        release_screen();
};



