#include "Def.h"

char* Survivor::tochar(int num)
{
    switch(num)
    {
        case 0: number = '0';
            return &number;           
        case 1: number = '1';
            return &number;
        case 2: number = '2';
            return &number;
        case 3: number = '3';
            return &number;
        case 4: number = '4';
            return &number;
        case 5: number = '5';
            return &number;
        case 6: number = '6';
            return &number;
        case 7: number = '7';
            return &number;
        case 8: number = '8';
            return &number;
        case 9: number = '9';
            return &number;
    }
    
    return NULL;
}

Survivor::Survivor()
{
    select = 0;
    food = 15;
    water = 10;
    wood = 4;
    hydration = 10;
    strength = 10;
    cookmult = 1.0;
    
    faid.strength = 1 + (rand() % 3);
    faid.hydration = 1 + (rand() % 3);
    faid.wood = 0;
    ffood.strength = 1 + (rand() % 4);
    ffood.hydration = 1 + (rand() % 4);
    ffood.wood = 0;
    fwood.strength = 1 + (rand() % 4);
    fwood.hydration = 1 + (rand() % 4);
    fwood.wood = 0;
    fwater.strength = 1 + (rand() % 4);
    fwater.hydration = 1 + (rand() % 4);
    fwater.wood = 0;
    fcook.strength = 0 + (rand() % 1);
    fcook.hydration = 0 + (rand() % 1);
    fcook.wood = 1;
    feat.strength = 0 + (rand() % 1);
    feat.hydration = 0 + (rand() % 1);
    feat.wood = 0;
    
}

bool Survivor::option(bool right)
{
    if(right == true && select < 5)
    {
        select++;
        return true;
    }
    
    if(right == false && select > 0)
    {    
        select--;
        return true;
    }
    return false;
}

bool Survivor::haswood()
{
    if((wood - fcook.wood) >= 0)
        return true;
    return false;
}

bool Survivor::activate()
{
    
    switch(select)
    {
        case 0:
            food += 0 + (rand() % 3);
            water += 0 + (rand() % 3);
            strength -= faid.strength;
            hydration -= faid.hydration;
            wood -= faid.wood;
            
            break;
        case 1:
            wood += rand() % 2;
            strength -= fwood.strength;
            hydration -= fwood.hydration;
            wood -= fwood.wood;
            break;
        case 2:
            food += 0 + rand() % 3;
            strength -= ffood.strength;
            hydration -= ffood.hydration;
            wood -= ffood.wood;
            break;
        case 3:
            water += 0 + rand() % 2;
            strength -= fwater.strength;
            hydration -= fwater.hydration;
            wood -= fwater.wood;
            break;
        case 4:
            //if((wood - fcook.wood) >= 0)
            //cookmult +=  1 / (1 + (rand() % 3));
            strength -= fcook.strength;
            hydration -= fcook.hydration;
            wood -= fcook.wood;
            break;
        case 5:
            
            strength += (int)(food * cookmult);
            hydration += (int)(water * cookmult);
            strength -= feat.strength;
            hydration -= feat.hydration;
            wood -= feat.wood;
            food = 0;
            water = 0;
            cookmult = 1.0;
            break;
        
        
        
    }
    if(strength <= 0 || hydration <= 0)
            return true;//exit to end game
        
    faid.strength = 0 + (rand() % 3);
    faid.hydration = 2 + (rand() % 3);
    faid.wood = 0;
    ffood.strength = 1 + (rand() % 2);
    ffood.hydration = 2 + (rand() % 2);
    ffood.wood = 0;
    fwood.strength = 1 + (rand() % 2);
    fwood.hydration = 1 + (rand() % 2);
    fwood.wood = 0;
    fwater.strength = 1 + (rand() % 2);
    fwater.hydration = 1 + (rand() % 2);
    fwater.wood = 0;
    fcook.strength = 0 + (rand() % 1);
    fcook.hydration = 0 + (rand() % 1);
    fcook.wood = 1;
    feat.strength = 0 + (rand() % 1);
    feat.hydration = 0 + (rand() % 1);
    feat.wood = 0;
    return false;
}

void Survivor::draw(BITMAP* buff)
{
    
    //draw menu
    rectfill(buff, 9, 9, 543, 35, makecol(0, 0, 0));
    rect(buff, 10, 10, 542, 34, makecol(128, 128, 0));
    rect(buff, 11, 11, 541, 33, makecol(200, 200, 0));
    textout_ex(buff, font, "Find AID", 19, 19, makecol(128, 128, 255), -1);
    textout_ex(buff, font, "Find Wood", 100, 19, makecol(128, 128, 255), -1);
    textout_ex(buff, font, "Find Food", 190, 19, makecol(128, 128, 255), -1);
    textout_ex(buff, font, "Find Water", 280, 19, makecol(128, 128, 255), -1);
    textout_ex(buff, font, "Cook Food", 380, 19, makecol(128, 128, 255), -1);
    textout_ex(buff, font, "Eat Food", 470, 19, makecol(128, 128, 255), -1);
    rect(buff, 16, 16, 85, 28, makecol(128, 128, 0));
    rect(buff, 97, 16, 173, 28, makecol(128, 128, 0));
    rect(buff, 187, 16, 263, 28, makecol(128, 128, 0));
    rect(buff, 277, 16, 362, 28, makecol(128, 128, 0));
    rect(buff, 377, 16, 453, 28, makecol(128, 128, 0));
    rect(buff, 467, 16, 535, 28, makecol(128, 128, 0));
    
    rectfill(buff, 9, 40, 340, 100, makecol(0, 0, 0));
    rect(buff, 10, 41, 339, 99, makecol(128, 128, 0));
    rect(buff, 11, 42, 338, 98, makecol(200, 200, 0));
    textout_ex(buff, font, "Attribute  ", 19, 46, makecol(200, 200, 0), -1);
    textout_ex(buff, font, "Current  ", 130, 46, makecol(200, 200, 0), -1);
    textout_ex(buff, font, "Cost  ", 220, 46, makecol(200, 200, 0), -1);
    textout_ex(buff, font, "New  ", 290, 46, makecol(200, 200, 0), -1);
    hline(buff, 19, 55, 89, makecol(200, 200, 0));
    hline(buff, 19, 56, 89, makecol(128, 128, 0));
    hline(buff, 130, 55, 184, makecol(200, 200, 0));
    hline(buff, 130, 56, 184, makecol(128, 128, 0));
    hline(buff, 220, 55, 250, makecol(200, 200, 0));
    hline(buff, 220, 56, 250, makecol(128, 128, 0));
    hline(buff, 290, 55, 313, makecol(200, 200, 0));
    hline(buff, 290, 56, 313, makecol(128, 128, 0));
    textout_ex(buff, font, "Strength:  ", 19, 61, makecol(128, 128, 255), -1);
    textout_ex(buff, font, "Hydration: ", 19, 74, makecol(128, 128, 255), -1);
    textout_ex(buff, font, "Wood:      ", 19, 87, makecol(128, 128, 255), -1);
    rect(buff, 130, 59, 148, 70, makecol(200, 200, 0));
    rect(buff, 220, 59, 238, 70, makecol(200, 200, 0));
    rect(buff, 290, 59, 308, 70, makecol(200, 200, 0));
    rect(buff, 130, 72, 148, 83, makecol(200, 200, 0));
    rect(buff, 220, 72, 238, 83, makecol(200, 200, 0));
    rect(buff, 290, 72, 308, 83, makecol(200, 200, 0));
    rect(buff, 130, 85, 148, 96, makecol(200, 200, 0));
    rect(buff, 220, 85, 238, 96, makecol(200, 200, 0));
    rect(buff, 290, 85, 308, 96, makecol(200, 200, 0));
    
    rectfill(buff, 350, 40, 543, 100, makecol(0, 0, 0));
    rect(buff, 351, 41, 542, 99, makecol(128, 128, 0));
    rect(buff, 352, 42, 541, 98, makecol(200, 200, 0));
    //textout_ex(buff, font, "Food:", 360, 45, makecol(128, 128, 255), -1);
    //textout_ex(buff, font, "Water:", 360, 60, makecol(128, 128, 255), -1);
    textout_ex(buff, font, "Food", 360, 46, makecol(200, 200, 0), -1);
    textout_ex(buff, font, "Water", 415, 46, makecol(200, 200, 0), -1);
    hline(buff, 360, 55, 385, makecol(200, 200, 0));
    hline(buff, 360, 56, 385, makecol(128, 128, 0));
    hline(buff, 415, 55, 455, makecol(200, 200, 0));
    hline(buff, 415, 56, 455, makecol(128, 128, 0));
    rect(buff, 360, 65, 378, 76, makecol(200, 200, 0));
    //rect(buff, 360, 80, 443, 91, makecol(200, 200, 0));
    rect(buff, 415, 65, 433, 76, makecol(200, 200, 0));
    //rect(buff, 415, 80, 498, 91, makecol(200, 200, 0));
    if(food >= 0)
    {
    textout_ex(buff, font, tochar(food % 10), 371, 67,  makecol(128, 128, 255), -1);
    textout_ex(buff, font, tochar((food / 10) % 10), 362, 67,  makecol(128, 128, 255), -1);
    }
    if(food < 0)
    {
        textout_ex(buff, font, "00", 362, 67,  makecol(128, 128, 255), -1);
        food = 0;
    }
    if(water >= 0)
    {
        textout_ex(buff, font, tochar(water % 10), 426, 67, makecol(128, 128, 255), -1);
        textout_ex(buff, font, tochar((water / 10) % 10), 417, 67, makecol(128, 128, 255), -1);
    }
    if(water < 0)
    {
        textout_ex(buff, font, "00", 417, 67, makecol(128, 128, 255), -1);
        water = 0;
    }
    
    if(strength >= 0)
    {
    textout_ex(buff, font, tochar(strength % 10), 140, 61,  makecol(128, 128, 255), -1);
    textout_ex(buff, font, tochar((strength / 10) % 10), 132, 61,  makecol(128, 128, 255), -1);
    }
    if(strength < 0)
    {
        textout_ex(buff, font, "00", 132, 61,  makecol(128, 128, 255), -1);
        strength = 0;
    }
    if(hydration >= 0)
    {
    textout_ex(buff, font, tochar(hydration % 10), 140, 74,  makecol(128, 128, 255), -1);
    textout_ex(buff, font, tochar((hydration / 10) % 10), 132, 74,  makecol(128, 128, 255), -1);
    }
    if(hydration < 0)
    {
        textout_ex(buff, font, "00", 132, 74,  makecol(128, 128, 255), -1);
        hydration = 0;
    }
    if(wood >= 0)
    {
    textout_ex(buff, font, tochar(wood % 10), 140, 87, makecol(128, 128, 255), -1);
    textout_ex(buff, font, tochar((wood / 10) % 10), 132, 87, makecol(128, 128, 255), -1);
    }
    if(wood < 0)
    {
        textout_ex(buff, font, "00", 132, 87, makecol(128, 128, 255), -1);
        wood = 0;
    }
    switch(select)
    {     
        case  0: 
            rect(buff, 15, 15, 86, 29, makecol(200, 200, 50));
            rect(buff, 14, 14, 87, 30, makecol(255, 255, 100));
            if(faid.strength >= 0)
            {
                textout_ex(buff, font, tochar((faid.strength / 10) % 10), 222, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(faid.strength % 10), 230, 61,  makecol(128, 128, 255), -1);
            }
            if(faid.strength < 0)
                textout_ex(buff, font, "00", 222, 61,  makecol(128, 128, 255), -1);
            if(faid.hydration >= 0)
            {
                textout_ex(buff, font, tochar((faid.hydration / 10) % 10), 222, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(faid.hydration % 10), 230, 74,  makecol(128, 128, 255), -1);
            }
            if(faid.hydration < 0)
                textout_ex(buff, font, "00", 222, 74,  makecol(128, 128, 255), -1);
            if(faid.wood >= 0)
            {
                textout_ex(buff, font, tochar((faid.wood / 10) % 10), 222, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(faid.wood % 10), 230, 87, makecol(128, 128, 255), -1);
            }
            if(faid.wood < 0)
                textout_ex(buff, font, "00", 222, 87, makecol(128, 128, 255), -1);
            if(strength - faid.strength >= 0)
            {
                textout_ex(buff, font, tochar(((strength - faid.strength) / 10) % 10), 292, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((strength - faid.strength) % 10), 300, 61,  makecol(128, 128, 255), -1);
            }
            if(strength - faid.strength < 0)
                textout_ex(buff, font, "00", 292, 61,  makecol(128, 128, 255), -1);
            if(hydration - faid.hydration >= 0)
            {
                textout_ex(buff, font, tochar(((hydration - faid.hydration) / 10) % 10), 292, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((hydration - faid.hydration) % 10), 300, 74,  makecol(128, 128, 255), -1);
            }
            if(hydration - faid.hydration < 0)
                textout_ex(buff, font, "00", 292, 74,  makecol(128, 128, 255), -1);
            if(wood - faid.wood >= 0)
            {
                textout_ex(buff, font, tochar(((wood - faid.wood) / 10) % 10), 292, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((wood - faid.wood) % 10), 300, 87, makecol(128, 128, 255), -1);
            }
            if(wood - faid.wood < 0)
                textout_ex(buff, font, "00", 292, 87, makecol(128, 128, 255), -1);
            
            

            break;
        case 1:
            rect(buff, 96, 15, 174, 29, makecol(200, 200, 50));
            rect(buff, 95, 14, 175, 30, makecol(255, 255, 100));
            
            if(fwood.strength >= 0)
            {
                textout_ex(buff, font, tochar((fwood.strength / 10) % 10), 222, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fwood.strength % 10), 230, 61,  makecol(128, 128, 255), -1);
            }
            if(fwood.strength < 0)
                textout_ex(buff, font, "00", 222, 61,  makecol(128, 128, 255), -1);
            if(fwood.hydration >= 0)
            {
                textout_ex(buff, font, tochar((fwood.hydration / 10) % 10), 222, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fwood.hydration % 10), 230, 74,  makecol(128, 128, 255), -1);
            }
            if(fwood.hydration < 0)
                textout_ex(buff, font, "00", 222, 74,  makecol(128, 128, 255), -1);
            if(fwood.wood >= 0)
            {
                textout_ex(buff, font, tochar((fwood.wood / 10) % 10), 222, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fwood.wood % 10), 230, 87, makecol(128, 128, 255), -1);
            }
            if(fwood.wood < 0)
                textout_ex(buff, font, "00", 222, 87, makecol(128, 128, 255), -1);
            if(strength - fwood.strength >= 0)
            {
                textout_ex(buff, font, tochar(((strength - fwood.strength) / 10) % 10), 292, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((strength - fwood.strength) % 10), 300, 61,  makecol(128, 128, 255), -1);
            }
            if(strength - fwood.strength < 0)
                textout_ex(buff, font, "00", 292, 61,  makecol(128, 128, 255), -1);
            if(hydration - fwood.hydration >= 0)
            {
                textout_ex(buff, font, tochar(((hydration - fwood.hydration) / 10) % 10), 292, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((hydration - fwood.hydration) % 10), 300, 74,  makecol(128, 128, 255), -1);
            }
            if(hydration - fwood.hydration < 0)
                textout_ex(buff, font, "00", 292, 74,  makecol(128, 128, 255), -1);
            if(wood - fwood.wood >= 0)
            {
                textout_ex(buff, font, tochar(((wood - fwood.wood) / 10) % 10), 292, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((wood - fwood.wood) % 10), 300, 87, makecol(128, 128, 255), -1);
            }
            if(wood - fwood.wood < 0)
                textout_ex(buff, font, "00", 292, 87, makecol(128, 128, 255), -1);
            break;
        case 2:
            rect(buff, 186, 15, 264, 29, makecol(200, 200, 50));
            rect(buff, 185, 14, 265, 30, makecol(255, 255, 100));
            
            if(ffood.strength >= 0)
            {
                textout_ex(buff, font, tochar((ffood.strength / 10) % 10), 222, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(ffood.strength % 10), 230, 61,  makecol(128, 128, 255), -1);
            }
            if(ffood.strength < 0)
                textout_ex(buff, font, "00", 222, 61,  makecol(128, 128, 255), -1);
            if(ffood.hydration >= 0)
            {
                textout_ex(buff, font, tochar((ffood.hydration / 10) % 10), 222, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(ffood.hydration % 10), 230, 74,  makecol(128, 128, 255), -1);
            }
            if(ffood.hydration < 0)
                textout_ex(buff, font, "00", 222, 74,  makecol(128, 128, 255), -1);
            if(ffood.wood >= 0)
            {
                textout_ex(buff, font, tochar((ffood.wood / 10) % 10), 222, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(ffood.wood % 10), 230, 87, makecol(128, 128, 255), -1);
            }
            if(ffood.wood < 0)
                textout_ex(buff, font, "00", 222, 87, makecol(128, 128, 255), -1);
            if(strength - ffood.strength >= 0)
            {
                textout_ex(buff, font, tochar(((strength - ffood.strength) / 10) % 10), 292, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((strength - ffood.strength) % 10), 300, 61,  makecol(128, 128, 255), -1);
            }
            if(strength - ffood.strength < 0)
                textout_ex(buff, font, "00", 292, 61,  makecol(128, 128, 255), -1);
            if(hydration - ffood.hydration >= 0)
            {
                textout_ex(buff, font, tochar(((hydration - ffood.hydration) / 10) % 10), 292, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((hydration - ffood.hydration) % 10), 300, 74,  makecol(128, 128, 255), -1);
            }
            if(hydration - ffood.hydration < 0)
                textout_ex(buff, font, "00", 292, 74,  makecol(128, 128, 255), -1);
            if(wood - ffood.wood >= 0)
            {
                textout_ex(buff, font, tochar(((wood - ffood.wood) / 10) % 10), 292, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((wood - ffood.wood) % 10), 300, 87, makecol(128, 128, 255), -1);
            }
            if(wood - ffood.wood < 0)
                textout_ex(buff, font, "00", 292, 87, makecol(128, 128, 255), -1);
            break;
        case 3:
            rect(buff, 276, 15, 363, 29, makecol(200, 200, 50));
            rect(buff, 275, 14, 364, 30, makecol(255, 255, 100));
            if(fwater.strength >= 0)
            {
                textout_ex(buff, font, tochar((fwater.strength / 10) % 10), 222, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fwater.strength % 10), 230, 61,  makecol(128, 128, 255), -1);
            }
            if(fwater.strength < 0)
                textout_ex(buff, font, "00", 222, 61,  makecol(128, 128, 255), -1);
            if(fwater.hydration >= 0)
            {
                textout_ex(buff, font, tochar((fwater.hydration / 10) % 10), 222, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fwater.hydration % 10), 230, 74,  makecol(128, 128, 255), -1);
            }
            if(fwater.hydration < 0)
                textout_ex(buff, font, "00", 222, 74,  makecol(128, 128, 255), -1);
            if(fwater.wood >= 0)
            {
                textout_ex(buff, font, tochar((fwater.wood / 10) % 10), 222, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fwater.wood % 10), 230, 87, makecol(128, 128, 255), -1);
            }
            if(fwater.wood < 0)
                textout_ex(buff, font, "00", 222, 87, makecol(128, 128, 255), -1);
            if(strength - fwater.strength >= 0)
            {
                textout_ex(buff, font, tochar(((strength - fwater.strength) / 10) % 10), 292, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((strength - fwater.strength) % 10), 300, 61,  makecol(128, 128, 255), -1);
            }
            if(strength - fwater.strength < 0)
                textout_ex(buff, font, "00", 292, 61,  makecol(128, 128, 255), -1);
            if(hydration - fwater.hydration >= 0)
            {
                textout_ex(buff, font, tochar(((hydration - fwater.hydration) / 10) % 10), 292, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((hydration - fwater.hydration) % 10), 300, 74,  makecol(128, 128, 255), -1);
            }
            if(hydration - fwater.hydration < 0)
                textout_ex(buff, font, "00", 292, 74,  makecol(128, 128, 255), -1);
            if(wood - fwater.wood >= 0)
            {
                textout_ex(buff, font, tochar(((wood - fwater.wood) / 10) % 10), 292, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((wood - fwater.wood) % 10), 300, 87, makecol(128, 128, 255), -1);
            }
            if(wood - fwater.wood < 0)
                textout_ex(buff, font, "00", 292, 87, makecol(128, 128, 255), -1);
            break;
        case 4:
            rect(buff, 376, 15, 454, 29, makecol(200, 200, 50));
            rect(buff, 375, 14, 455, 30, makecol(255, 255, 100));
            
            if(fcook.strength >= 0)
            {
                textout_ex(buff, font, tochar((fcook.strength / 10) % 10), 222, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fcook.strength % 10), 230, 61,  makecol(128, 128, 255), -1);
            }
            if(fcook.strength < 0)
                textout_ex(buff, font, "00", 222, 61,  makecol(128, 128, 255), -1);
            if(fcook.hydration >= 0)
            {
                textout_ex(buff, font, tochar((fcook.hydration / 10) % 10), 222, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fcook.hydration % 10), 230, 74,  makecol(128, 128, 255), -1);
            }
            if(fcook.hydration < 0)
                textout_ex(buff, font, "00", 222, 74,  makecol(128, 128, 255), -1);
            if(fcook.wood >= 0)
            {
                textout_ex(buff, font, tochar((fcook.wood / 10) % 10), 222, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(fcook.wood % 10), 230, 87, makecol(128, 128, 255), -1);
            }
            if(fcook.wood < 0)
                textout_ex(buff, font, "00", 222, 87, makecol(128, 128, 255), -1);
            if(strength - fcook.strength >= 0)
            {
                textout_ex(buff, font, tochar(((strength - fcook.strength) / 10) % 10), 292, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((strength - fcook.strength) % 10), 300, 61,  makecol(128, 128, 255), -1);
            }
            if(strength - fcook.strength < 0)
                textout_ex(buff, font, "00", 292, 61,  makecol(128, 128, 255), -1);
            if(hydration - fcook.hydration >= 0)
            {
                textout_ex(buff, font, tochar(((hydration - fcook.hydration) / 10) % 10), 292, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((hydration - fcook.hydration) % 10), 300, 74,  makecol(128, 128, 255), -1);
            }
            if(hydration - fcook.hydration < 0)
                textout_ex(buff, font, "00", 292, 74,  makecol(128, 128, 255), -1);
            if(wood - fcook.wood >= 0)
            {
                textout_ex(buff, font, tochar(((wood - fcook.wood) / 10) % 10), 292, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((wood - fcook.wood) % 10), 300, 87, makecol(128, 128, 255), -1);
            }
            if(wood - fcook.wood < 0)
                textout_ex(buff, font, "00", 292, 87, makecol(128, 128, 255), -1);
            break;
        case 5:
            rect(buff, 466, 15, 536, 29, makecol(200, 200, 50));
            rect(buff, 465, 14, 537, 30, makecol(255, 255, 100));
            
            if(feat.strength >= 0)
            {
                textout_ex(buff, font, tochar((feat.strength / 10) % 10), 222, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(feat.strength % 10), 230, 61,  makecol(128, 128, 255), -1);
            }
            if(feat.strength < 0)
                textout_ex(buff, font, "00", 222, 61,  makecol(128, 128, 255), -1);
            if(feat.hydration >= 0)
            {
                textout_ex(buff, font, tochar((feat.hydration / 10) % 10), 222, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(feat.hydration % 10), 230, 74,  makecol(128, 128, 255), -1);
            }
            if(feat.hydration < 0)
                textout_ex(buff, font, "00", 222, 74,  makecol(128, 128, 255), -1);
            if(feat.wood >= 0)
            {
                textout_ex(buff, font, tochar((feat.wood / 10) % 10), 222, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar(feat.wood % 10), 230, 87, makecol(128, 128, 255), -1);
            }
            if(feat.wood < 0)
                textout_ex(buff, font, "00", 222, 87, makecol(128, 128, 255), -1);
            if(strength - feat.strength >= 0)
            {
                textout_ex(buff, font, tochar(((strength - feat.strength) / 10) % 10), 292, 61,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((strength - feat.strength) % 10), 300, 61,  makecol(128, 128, 255), -1);
            }
            if(strength - feat.strength < 0)
                textout_ex(buff, font, "00", 292, 61,  makecol(128, 128, 255), -1);
            if(hydration - feat.hydration >= 0)
            {
                textout_ex(buff, font, tochar(((hydration - feat.hydration) / 10) % 10), 292, 74,  makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((hydration - feat.hydration) % 10), 300, 74,  makecol(128, 128, 255), -1);
            }
            if(hydration - feat.hydration < 0)
                textout_ex(buff, font, "00", 292, 74,  makecol(128, 128, 255), -1);
            if(wood - feat.wood >= 0)
            {
                textout_ex(buff, font, tochar(((wood - feat.wood) / 10) % 10), 292, 87, makecol(128, 128, 255), -1);
                textout_ex(buff, font, tochar((wood - feat.wood) % 10), 300, 87, makecol(128, 128, 255), -1);
            }
            if(wood - feat.wood < 0)
                textout_ex(buff, font, "00", 292, 87, makecol(128, 128, 255), -1);
            break;
    }


}

int Survivor::option()
{
    return select;
}
