#include "Def.h"

Scene::Scene()
{
	fireplace = load_bitmap("fire.pcx", 0);
	water = load_bitmap("water.pcx", 0);
	dirt = load_bitmap("dirt.pcx", 0);
	trash1 = load_bitmap("trash1.pcx", 0);
	trash2 = load_bitmap("trash2.pcx", 0);
	trash3 = load_bitmap("trash3.pcx", 0);
	house = load_bitmap("house.pcx", 0);
	for(int i = 0; i < 50; i++)
	{
		fire[i].init(665, 440);
	} 
}

Scene::~Scene()
{
	destroy_bitmap(fireplace);
	destroy_bitmap(water);
	destroy_bitmap(dirt);
	destroy_bitmap(trash1);
	destroy_bitmap(trash2);
	destroy_bitmap(trash3);
	destroy_bitmap(house);
}

void Scene::resetFire()
{
	for(int i = 0; i < 50; i++)
	{
		fire[i].init(665, 440);
	}
}

void Scene::draw(BITMAP* buff)
{
	
	stretch_sprite(buff, dirt, 0, 300, 200, 300);
	stretch_sprite(buff, dirt, 200, 300, 200, 300);
	stretch_sprite(buff, dirt, 400, 300, 200, 300);
	stretch_sprite(buff, dirt, 600, 300, 200, 300);
	stretch_sprite(buff, fireplace, 600, 400, 150, 100);
	stretch_sprite(buff, water, 0, 420, 300, 180);
	
	stretch_sprite(buff, trash2, 0, 180, 400, 200);
	stretch_sprite(buff, trash2, 400, 180, 400, 200);
	
	stretch_sprite(buff, trash1, 120, 290, 150, 100);
	stretch_sprite(buff, house, 250, 220, 250, 200);
	stretch_sprite(buff, trash3, 450, 270, 250, 150);
	float diff = (float)t.difference();
	for(int i = 0; i < 50; i++)
	{
		fire[i].update(diff);
		fire[i].draw(buff);
	}
	
}


